## apertium-get 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
project(apertium-get
	VERSION 1.0.0
	LANGUAGES NONE
	)

option(BUILD_MAN "Set to ON to build man page" OFF)

include(GNUInstallDirs)

if(BUILD_MAN)
	add_custom_target(man ALL COMMAND ./help2man.sh ${PROJECT_VERSION})
endif()

install(PROGRAMS
	"${CMAKE_CURRENT_SOURCE_DIR}/apertium-get.py"
	DESTINATION ${CMAKE_INSTALL_BINDIR}
	RENAME apertium-get)

install(FILES "apertium-get.1"
	DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== debian/changelog ===
apertium-get (1.0.0-3) unstable; urgency=low

  * Fixed debian/watch.
  * debian/control:
    + Updated Standards-Version to 4.6.1

 -- Kartik Mistry <kartik@debian.org>  Wed, 06 Jul 2022 07:55:01 +0530

apertium-get (1.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Kartik Mistry <kartik@debian.org>  Wed, 13 Jan 2021 09:15:35 +0530

apertium-get (1.0.0-1) experimental; urgency=low

  [ Tino Didriksen ]
  * Split from apertium, to avoid needing svn or submodules in random places
    (Closes: #977800)

 -- Kartik Mistry <kartik@debian.org>  Mon, 21 Dec 2020 09:25:56 +0530

=== debian/control ===
Source: apertium-get
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: cmake, debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-get.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-get
Rules-Requires-Root: no

Package: apertium-get
Architecture: all
Depends: apertium-dev (>= 3.7.0), python3, ${misc:Depends}
Description: Helper for Apertium and Giellatekno languages and pairs
 Helper script to download and build Apertium and Giellatekno
 languages and pairs.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/apertium/apertium-get/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## apertium-get 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18 FATAL_ERROR)
 cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
 project(apertium-get
-	VERSION 1.0.0
+	VERSION 1.0.2
 	LANGUAGES NONE
 	)

=== debian/changelog ===
apertium-get (1.0.2-1) unstable; urgency=medium

  * Require CMake 3.18+ (Closes: #1112704)

 -- Tino Didriksen <tino@didriksen.cc>  Tue, 09 Sep 2022 16:41:33 +0200

=== debian/control ===
Source: apertium-get
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: cmake, debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-get.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-get
Rules-Requires-Root: no

Package: apertium-get
Architecture: all
Depends: apertium-dev (>= 3.9.12), python3, ${misc:Depends}
Description: Helper for Apertium and Giellatekno languages and pairs
 Helper script to download and build Apertium and Giellatekno
 languages and pairs
